package com.kingdee.eas.custom.ats;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AtsLeaveDetailSameFacadeFactory
{
    private AtsLeaveDetailSameFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6DE731BB") ,com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade.class);
    }
    
    public static com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6DE731BB") ,com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6DE731BB"));
    }
    public static com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.ats.IAtsLeaveDetailSameFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6DE731BB"));
    }
}